# frozen_string_literal: true

module Zashoku
  module AnimeIO
    extend Zashoku::Module

    Version = [1, 0, 0].freeze
    Root    = File.expand_path('../', __dir__)

    EXTENSIONS    = %w[mkv avi mp4].freeze
    WATCH_LOG_TAG = '♪'

    autoload :AnimeIO, File.join(Root, 'lib/animeio/animeio')
    autoload :AnimeIOView, File.join(Root, 'lib/animeio/animeio_view')

    def self.view
      AnimeIOView.new
    end

    def self.controller
      AnimeIO.new
    end
  end
end
