# frozen_string_literal: true

require_relative 'animefile'
require_relative 'animeseries'

module Zashoku
  module AnimeIO
    class AnimeIOView < Zashoku::View
      def refresh_attributes
        unformatted_p =
          !@items.empty? ? sum_attribute('p') / @items.length : 0

        sum_d = sum_attribute('d')
        unformatted_q =
          sum_d.positive? ? sum_attribute('W') * 100.0 / sum_d : 0

        @attributes = {
          't' => Zashoku.conf.get(%w[title animeio]),
          'D' => Zashoku::Formatter.duration(sum_attribute('d')),
          'S' => Zashoku::Formatter.size(sum_attribute('s')),
          'P' => Zashoku::Formatter.progress(unformatted_p),
          'Q' => Zashoku::Formatter.progress(unformatted_q),
          'c' => sum_attribute('c'),
          'w' => sum_attribute('w')
        }
      end

      def sum_attribute(k)
        @items.inject(0) { |mem, c| mem + c[0].attr[k] }
      end

      def refresh_items
        Zashoku.command(mod: 'remote::animeio', meth: 'items')
      end

      def get_format
        Zashoku.conf.get(%w[format animeio])
      end
    end
  end
end
