# frozen_string_literal: true

require 'mpv'

module Zashoku
  module Mpv
    extend Zashoku::Module

    Version = [1, 0, 0].freeze
    Root    = File.expand_path('../', __dir__)

    autoload :MpvController, File.join(Root, 'lib/mpv/mpv_controller')

    def self.controller
      MpvController.new
    end

    def self.widgets
      require_relative 'mpv/filename_widget'
      require_relative 'mpv/time_widget'
      {
        'filename' => FilenameWidget.new,
        'time'     => TimeWidget.new,
      }
    end
  end
end
