# frozen_string_literal: true

module Zashoku
  module Mpv
    class TimeWidget < Zashoku::Statusline::Widget
      def refresh
        time = to_f(Zashoku.command(mod: 'remote::mpv', meth: 'time'))
        @attr = {
          't' => Zashoku::Formatter.duration(time[:pos]),
          'e' => Zashoku::Formatter.duration(time[:end]),
          'p' => Zashoku::Formatter.progress(time[:pct])
        }
      end

      def to_f(h)
        h.map do |k, d|
          [
            k,
            begin
              Float(d)
            rescue TypeError
              0
            end
          ]
        end.to_h
      end
    end
  end
end
