# frozen_string_literal: true

require 'mpv'

module Zashoku
  module MPVCSide
    extend Zashoku::Module

    Version = [1, 0, 0].freeze
    Root    = File.expand_path('../', __dir__)

    autoload :MPVCSideController, File.join(Root, 'lib/mpv_cside/mpv_cside_controller')
    autoload :MPVCSideView, File.join(Root, 'lib/mpv_cside/mpv_cside_view')

    def self.view
      MPVCSideView.new
    end

    def self.controller
      MPVCSideController.new
    end
  end
end
